Skip to main content
POST
Sign a crafting payload

Authorizations

x-immutable-api-key
string
header
required

Path Parameters

chain_name
string
required

The name of chain

Example:

"imtbl-zkevm-testnet"

Body

application/json

The request body

multi_caller
object
required
reference_id
string
required

The id of this request in the system that originates the crafting request, specified as a 32 byte hex string

Example:

"67f7d464b8f04f6a9a3b8d3cb4a21af0"

calls
object[]
required

The calls to be signed

expires_at
string<date-time>
required

The expiration time of the request

Example:

"2022-08-16T17:43:26.991388Z"

Response

200 response

signer_address
string
required

An Ethereum address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xe9b00a87700f660e46b6f5deaa1232836bcc07d3"

signature
string
required

The signature of the request

Example:

"0x8a90cab2b38dba80c64b7734e58ee1db38b8992e"